# Class DeleteContainerRequest

java.lang.Object
org.apache.zookeeper.DeleteContainerRequest

All Implemented Interfaces:
  `Record`

public class DeleteContainerRequest extends Object implements Record

## Constructor Summary

Constructors
Constructor
Description
`DeleteContainerRequest()`
`DeleteContainerRequest(String path)`

## Method Summary

Modifier and Type
Method
Description
`void`
`deserialize(InputArchive archive, String tag)`
`String`
`getPath()`
`void`
`serialize(OutputArchive archive, String tag)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeleteContainerRequest

public DeleteContainerRequest()

### DeleteContainerRequest

public DeleteContainerRequest(String path)

## Method Details

### getPath

public String getPath()

### serialize

public void serialize(OutputArchive archive, String tag) throws IOException

Specified by:
  `serialize` in interface `Record`
Throws:
  `IOException`

### deserialize

public void deserialize(InputArchive archive, String tag) throws IOException

Specified by:
  `deserialize` in interface `Record`
Throws:
  `IOException`